Bug 1119324 - gphotoframe fails to start
Summary: gphotoframe fails to start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gphotoframe
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:13 UTC by Ryan Lerch
Modified: 2015-12-02 16:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:15:47 UTC


Attachments (Terms of Use)

Description Ryan Lerch 2014-07-14 14:13:17 UTC
On Fedora 21, trying to start gphotoframe results in the following error (and gphotoframe fails to start):

$ gphotoframe 
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:34: PyGIDeprecationWarning: Since version 3.11, calling threads_init is no longer needed. See: https://wiki.gnome.org/PyGObject/Threading
  gobject.threads_init()
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:109: PyGIDeprecationWarning: io_add_watch is deprecated; use GLib.io_add_watch instead
  return gobject.io_add_watch(source.fileno(), condition, wrapper)
/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py:683: PyGIDeprecationWarning: Calling io_add_watch without priority as second argument is deprecated
  PyGIDeprecationWarning)
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:88: PyGIDeprecationWarning: main_context_default is deprecated; use GLib.main_context_default instead
  self.context = gobject.main_context_default()
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:91: PyGIDeprecationWarning: MainLoop is deprecated; use GLib.MainLoop instead
  self.loop = gobject.MainLoop()
/usr/lib64/python2.7/site-packages/twisted/internet/_sslverify.py:184: UserWarning: You do not have the service_identity module installed. Please install it from <https://pypi.python.org/pypi/service_identity>. Without the service_identity module and a recent enough pyOpenSSL tosupport it, Twisted can perform only rudimentary TLS client hostnameverification.  Many valid certificate/hostname mappings may be rejected.
  verifyHostname, VerificationError = _selectVerifyImplementation()
Traceback (most recent call last):
  File "/usr/bin/gphotoframe", line 41, in <module>
    PhotoListStore()
  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 33, in __init__
    self.append(entry, is_delay=True)
  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 52, in append
    pixbuf = plugins.PLUGIN_INFO_TOKEN[ source_name ]().get_icon_pixbuf()
  File "/usr/lib/python2.7/site-packages/gphotoframe/plugins/base/base.py", line 26, in get_icon_pixbuf
    pixbuf = self.icon().get_pixbuf()
  File "/usr/lib/python2.7/site-packages/gphotoframe/utils/iconimage.py", line 24, in get_pixbuf
    file = self._get_icon_file()
  File "/usr/lib/python2.7/site-packages/gphotoframe/utils/iconimage.py", line 55, in _get_icon_file
    self._download_icon(self.icon_url, self.icon_name)
  File "/usr/lib/python2.7/site-packages/gphotoframe/utils/iconimage.py", line 64, in _download_icon
    urlget = UrlGetWithAutoProxy(icon_url)
  File "/usr/lib/python2.7/site-packages/gphotoframe/utils/urlgetautoproxy.py", line 28, in __init__
    super(UrlGetWithAutoProxy, self).__init__(proxy_url)
  File "/usr/lib/python2.7/site-packages/gphotoframe/utils/urlget.py", line 40, in __init__
    self.proxy_host, self.proxy_port = client._parse(proxy)[1:3]
  File "/usr/lib64/python2.7/site-packages/twisted/python/deprecate.py", line 399, in __getattribute__
    value = getattr(state._module, name)
AttributeError: 'module' object has no attribute '_parse'

Comment 1 Mamoru TASAKA 2014-07-22 01:14:01 UTC
Would you try gphotoframe-2.0-0.6.a3.fc21 ?

Comment 2 Ryan Lerch 2014-07-22 14:30:36 UTC
tried gphotoframe-2.0-0.6.a3.fc21, 

nothing shows up (no window or anything on GNOME3)

but the process still seems to be running in the terminal window. Should a window appear?

here is the terminal output:

$ gphotoframe 
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:34: PyGIDeprecationWarning: Since version 3.11, calling threads_init is no longer needed. See: https://wiki.gnome.org/PyGObject/Threading
  gobject.threads_init()
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:109: PyGIDeprecationWarning: io_add_watch is deprecated; use GLib.io_add_watch instead
  return gobject.io_add_watch(source.fileno(), condition, wrapper)
/usr/lib64/python2.7/site-packages/gi/overrides/GLib.py:683: PyGIDeprecationWarning: Calling io_add_watch without priority as second argument is deprecated
  PyGIDeprecationWarning)
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:88: PyGIDeprecationWarning: main_context_default is deprecated; use GLib.main_context_default instead
  self.context = gobject.main_context_default()
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:91: PyGIDeprecationWarning: MainLoop is deprecated; use GLib.MainLoop instead
  self.loop = gobject.MainLoop()
/usr/lib64/python2.7/site-packages/twisted/internet/_sslverify.py:184: UserWarning: You do not have the service_identity module installed. Please install it from <https://pypi.python.org/pypi/service_identity>. Without the service_identity module and a recent enough pyOpenSSL tosupport it, Twisted can perform only rudimentary TLS client hostnameverification.  Many valid certificate/hostname mappings may be rejected.
  verifyHostname, VerificationError = _selectVerifyImplementation()
/usr/lib/python2.7/site-packages/gphotoframe/menu.py:140: PyGTKDeprecationWarning: Using positional arguments with the GObject constructor has been deprecated. Please specify keyword(s) for "label" or use a class specific constructor. See: https://wiki.gnome.org/PyGObject/InitializerDeprecations
  super(HistoryMenuItem, self).__init__(title)
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:235: PyGIDeprecationWarning: timeout_add is deprecated; use GLib.timeout_add instead
  gobject.timeout_add(0, self.simulate)
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:286: PyGIDeprecationWarning: timeout_add is deprecated; use GLib.timeout_add instead
  self._simtag = gobject.timeout_add(int(timeout * 1010), self.simulate)
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:280: PyGIDeprecationWarning: source_remove is deprecated; use GLib.source_remove instead
  gobject.source_remove(self._simtag)
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:125: PyGIDeprecationWarning: source_remove is deprecated; use GLib.source_remove instead
  gobject.source_remove(self._sources[source])
/usr/lib/python2.7/site-packages/gphotoframe/utils/gtk3reactor.py:174: PyGIDeprecationWarning: source_remove is deprecated; use GLib.source_remove instead
  gobject.source_remove(self._sources[source])
[Failure instance: Traceback (failure with no frames): <class 'twisted.web.error.Error'>: 403 Forbidden
]
http://api.flickr.com/services/rest/?user_id=&nojsoncallback=1&format=json&method=flickr.interestingness.getList&extras=description%2Cdate_taken%2Cowner_name%2Coriginal_format%2Cmedia%2Cgeo%2Curl_z%2Curl_l%2Curl_o%2Co_dims&per_page=100&api_key=343677ff5aa31f37042513d533293062&page=1
/usr/lib/python2.7/site-packages/gphotoframe/menu.py:122: PyGTKDeprecationWarning: Using positional arguments with the GObject constructor has been deprecated. Please specify keyword(s) for "label" or use a class specific constructor. See: https://wiki.gnome.org/PyGObject/InitializerDeprecations
  super(RecentMenuItem, self).__init__(title)

Comment 3 Mamoru TASAKA 2014-08-12 09:16:38 UTC
Maybe something is different on GNOME3??

Can you try this on some different desktop environment? (note that I am
using LXDE currently, and not using GNOME3)

Comment 4 Fedora End Of Life 2015-11-04 15:59:46 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 03:15:50 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.